Security Experts:

iOS 11 Patches 8 Security Vulnerabilities

Apple this week announced the availability of 8 security patches for its iPhone 5s and later, iPad Air and later, and iPod touch 6th generation users, released as part of the iOS 11 platform upgrade.

The bugs affect 7 platform components, namely Exchange ActiveSync, iBooks, Mail MessageUI, Messages, MobileBackup, Safari, and WebKit. Exploitation of these issues could lead to data deletion, denial of service, address bar spoofing, or the creation of unencrypted backups.

Through requiring TLS, Apple resolved a validation issue (CVE-2017-7088) in Exchange ActiveSync that could allow an attacker in a privileged network position to erase a device during Exchange account setup.

The company also patched denial of service issues in iBooks (CVE-2017-7072), Mail MessageUI (CVE-2017-7097), and Messages (CVE-2017-7118), which could be exploited by an attacker through supplying a maliciously crafted iBooks file or a maliciously crafted image. Improved memory handling and improved validation resolved the bugs, Apple says.

A permissions issue (CVE-2017-7133) in MobileBackup that could result in the creation of an unencrypted backup despite a requirement to perform only encrypted backups was resolved with improved permission validation.

A vulnerability (CVE-2017-7085) in Safari that Apple refers to as an “inconsistent user interface issue” could result in address bar spoofing when visiting a malicious website and was addressed with improved state management.

The tech giant also patched two flaws in WebKit. Tracked as CVE-2017-7106, the first of them could result in address bar spoofing when visiting a malicious website. The second is tracked as CVE-2017-7089 and could lead to universal cross site scripting when processing maliciously crafted web content. Apple addressed both with improved state management.

The three vulnerabilities in Safari and WebKit were found to affect OS X and macOS users as well, and Apple released Safari 11 to address them. The update applies to OS X El Capitan 10.11.6 and macOS Sierra 10.12.6 systems, the company says.

Additionally, the company pushed Xcode 9 to plug seven security flaws in Git, ld64, and subversion, all of which could lead to arbitrary code execution. While Git and subversion were affected by a single issue each, ld64 had five security vulnerabilities. Xcode 9 is available for macOS Sierra 10.12.6 or later users.

Apple also released iTunes 12.7 and iTunes 12.7 for Windows, along with tvOS 11 and watchOS 4 to address bugs in them, but hasn’t provided details on the content of these patches as of now.

Related: Apple Brings FaceID to New iPhone X

Related: Decryption Key for Apple's SEP Firmware Posted Online

Related: Apple Patches Vulnerabilities Disclosed at Pwn2Own

view counter